- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# ce_evpn_global – Manages global configuration of EVPN on HUAWEI CloudEngine switches

New in version 2.4.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Manages global configuration of EVPN on HUAWEI CloudEngine switches.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
evpn_overlay_enable - / required | Choices: enable disable | Configure EVPN as the VXLAN control plane.

## Notes

Note

- Before configuring evpn_overlay_enable=disable, delete other EVPN configurations.

- Recommended connection is `network_cli`.

- This module also works with `local` connections for legacy playbooks.

## Examples

    - name: evpn global module test
      hosts: cloudengine
      connection: local
      gather_facts: no
      vars:
        cli:
          host: "{{ inventory_hostname }}"
          port: "{{ ansible_ssh_port }}"
          username: "{{ username }}"
          password: "{{ password }}"
          transport: cli

      tasks:

      - name: Configure EVPN as the VXLAN control plan
        ce_evpn_global:
          evpn_overlay_enable: enable
          provider: "{{ cli }}"

      - name: Undo EVPN as the VXLAN control plan
        ce_evpn_global:
          evpn_overlay_enable: disable
          provider: "{{ cli }}"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | check to see if a change was made on the device Sample: True
end_state dictionary | always | k/v pairs of end attributes on the interface Sample: {'evpn_overlay_enable': 'enable'}
existing dictionary | always | k/v pairs of existing attributes on the device Sample: {'evpn_overlay_enable': 'disable'}
proposed dictionary | always | k/v pairs of parameters passed into module Sample: {'evpn_overlay_enable': 'enable'}
updates list | always | command list sent to the device Sample: ['evpn-overlay enable']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Zhijin Zhou (@QijunPan)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.